Question of HP updates that depend on new packages

Sittampalam, Ganesh ganesh.sittampalam at
Mon Aug 17 09:18:03 EDT 2009

Duncan Coutts wrote:
> When an updated version of an existing platform package includes
> dependencies on packages that are currently outside the platform we
> must decide if those packages are to be added to the platform (or if
> we must stick with the older version of the package).   

The other specific considerations in this mail aside, sticking with
older versions of a package sounds like a recipe for disaster. Isn't
there an implicit or explicit requirement on maintainers of packages in
the platform that they will only make changes that are acceptable for
the platform? I realise that for the current set that have sort of ended
up in the platform by default there has been no process of those
maintainers accepting these constraints, but nonetheless there needs to
be some understanding in place for the future.

> In particular the libraries list should decide if these new packages
> should be rubber stamped because they are new dependencies of a
> package already in the platform, or if the new packages should go
> through the standard review process for adding packages.   

I don't think new dependencies of this nature, where the functionality
exposed is not logically part of the original package, should ever be
rubber stamped.


 Please access the attached hyperlink for an important electronic communications disclaimer: 

More information about the Libraries mailing list